library(car)
library(e1071)
library(effects)
library(ggbiplot)
library(lattice)
library(rattle)
library(readstata13)
library(relaimpo)
library(RGtk2)
library(RGtk2Extras)

rm(list = ls())
options(warn=-1)

runid <- 'run001'

phenotype <- 'USD'

predictors <- c(
'PWTP',
'OIWS',
'UWS',
'IS',
'FBH',
'HW'
)

rawdata<-read.csv(file="who_data_master_core_current.csv",header=TRUE,sep=",")

core_variables <- c(
'Region',
'Country',
'Population', 
'UWD',
'USD',
'UHD',
'WandSD',
'WSandHD',
'PWTP',
'OIWS',
'UWS',
'IS',
'FBH',
'HW',
'UWDF',
'USDF',
'UHDF',
'WandSDF',
'WSandHDF',
'UWDF_q',
'USDF_q',
'UHDF_q',
'WandSDF_q',
'WSandHDF_q'
)

rawdata[,phenotype]<-(rawdata[,phenotype])^1

response <- rawdata[,phenotype]

active_set <- rawdata[,predictors]

databind <- cbind(active_set,response)

colnames(databind) <- c(predictors,phenotype)

source("WHO_reanalysis.r")

graphics.off()

